Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.irplugin.wsclient
Class ManagementServiceServiceLocator

    java.lang.Object
      org.apache.axis.client.Service
          com.jaspersoft.jasperserver.irplugin.wsclient.ManagementServiceServiceLocator

All Implemented Interfaces:
  ManagementServiceService, java.io.Serializable, javax.naming.Referenceable, javax.xml.rpc.Service

    public class ManagementServiceServiceLocator

extends org.apache.axis.client.Service
implements ManagementServiceService

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.axis.client.Service
`org.apache.axis.client.Service.HandlerRegistryImpl`

Field Summary

Fields inherited from class org.apache.axis.client.Service
`_call`

Constructor Summary
`ManagementServiceServiceLocator()`
`ManagementServiceServiceLocator(org.apache.axis.EngineConfiguration config)`
`ManagementServiceServiceLocator(java.lang.String wsdlLoc, javax.xml.namespace.QName sName)`

Method Summary
`java.rmi.Remote` | `getPort(java.lang.Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`java.rmi.Remote` | `getPort(javax.xml.namespace.QName portName, java.lang.Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`java.util.Iterator` | `getPorts()`
`ManagementService` | `getrepository()`
`ManagementService` | `getrepository(java.net.URL portAddress)`
`java.lang.String` | `getrepositoryAddress()`
`java.lang.String` | `getrepositoryWSDDServiceName()`
`javax.xml.namespace.QName` | `getServiceName()`
`void` | `setEndpointAddress(javax.xml.namespace.QName portName, java.lang.String address)` Set the endpoint address for the specified port name.
`void` | `setEndpointAddress(java.lang.String portName, java.lang.String address)` Set the endpoint address for the specified port name.
`void` | `setrepositoryEndpointAddress(java.lang.String address)`
`void` | `setrepositoryWSDDServiceName(java.lang.String name)`

Methods inherited from class org.apache.axis.client.Service
`createCall, createCall, createCall, createCall, getAxisClient, getCacheWSDL, getCall, getCalls, getEngine, getEngineConfiguration, getHandlerRegistry, getMaintainSession, getPort, getReference, getTypeMappingRegistry, getWSDLDocumentLocation, getWSDLParser, getWSDLService, setCacheWSDL, setEngine, setEngineConfiguration, setMaintainSession, setTypeMappingRegistry, setTypeMappingVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.rpc.Service
`createCall, createCall, createCall, createCall, getCalls, getHandlerRegistry, getTypeMappingRegistry, getWSDLDocumentLocation`

Constructor Detail

### ManagementServiceServiceLocator

    public ManagementServiceServiceLocator()

### ManagementServiceServiceLocator

    public ManagementServiceServiceLocator(org.apache.axis.EngineConfiguration config)

### ManagementServiceServiceLocator

    public ManagementServiceServiceLocator(java.lang.String wsdlLoc,
                                           javax.xml.namespace.QName sName)
                                    throws javax.xml.rpc.ServiceException

Throws:
  `javax.xml.rpc.ServiceException`

Method Detail

### getrepositoryAddress

    public java.lang.String getrepositoryAddress()

  Specified by:
    `getrepositoryAddress` in interface `ManagementServiceService`

### getrepositoryWSDDServiceName

    public java.lang.String getrepositoryWSDDServiceName()

### setrepositoryWSDDServiceName

    public void setrepositoryWSDDServiceName(java.lang.String name)

### getrepository

    public ManagementService getrepository()
                                    throws javax.xml.rpc.ServiceException

  Specified by:
    `getrepository` in interface `ManagementServiceService`
  Throws:
    `javax.xml.rpc.ServiceException`

### getrepository

    public ManagementService getrepository(java.net.URL portAddress)
                                    throws javax.xml.rpc.ServiceException

  Specified by:
    `getrepository` in interface `ManagementServiceService`
  Throws:
    `javax.xml.rpc.ServiceException`

### setrepositoryEndpointAddress

    public void setrepositoryEndpointAddress(java.lang.String address)

### getPort

    public java.rmi.Remote getPort(java.lang.Class serviceEndpointInterface)
                            throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Specified by:
    `getPort` in interface `javax.xml.rpc.Service`
  Overrides:
    `getPort` in class `org.apache.axis.client.Service`
  Throws:
    `javax.xml.rpc.ServiceException`

### getPort

    public java.rmi.Remote getPort(javax.xml.namespace.QName portName,
                                   java.lang.Class serviceEndpointInterface)
                            throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Specified by:
    `getPort` in interface `javax.xml.rpc.Service`
  Overrides:
    `getPort` in class `org.apache.axis.client.Service`
  Throws:
    `javax.xml.rpc.ServiceException`

### getServiceName

    public javax.xml.namespace.QName getServiceName()

  Specified by:
    `getServiceName` in interface `javax.xml.rpc.Service`
  Overrides:
    `getServiceName` in class `org.apache.axis.client.Service`

### getPorts

    public java.util.Iterator getPorts()

  Specified by:
    `getPorts` in interface `javax.xml.rpc.Service`
  Overrides:
    `getPorts` in class `org.apache.axis.client.Service`

### setEndpointAddress

    public void setEndpointAddress(java.lang.String portName,
                                   java.lang.String address)
                            throws javax.xml.rpc.ServiceException

  Set the endpoint address for the specified port name.

  Throws:
    `javax.xml.rpc.ServiceException`

### setEndpointAddress

    public void setEndpointAddress(javax.xml.namespace.QName portName,
                                   java.lang.String address)
                            throws javax.xml.rpc.ServiceException

  Set the endpoint address for the specified port name.

  Throws:
    `javax.xml.rpc.ServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.